//-----------------------------------------------------------------------------
// clk_board_config_wrapper.v
//-----------------------------------------------------------------------------

module clk_board_config_wrapper
  (
    sys_clk,
    sys_rst,
    cfg_radio_dat_out,
    cfg_radio_csb_out,
    cfg_radio_en_out,
    cfg_radio_clk_out,
    cfg_logic_dat_out,
    cfg_logic_csb_out,
    cfg_logic_en_out,
    cfg_logic_clk_out,
    config_invalid
  );
  input sys_clk;
  input sys_rst;
  output cfg_radio_dat_out;
  output cfg_radio_csb_out;
  output cfg_radio_en_out;
  output cfg_radio_clk_out;
  output cfg_logic_dat_out;
  output cfg_logic_csb_out;
  output cfg_logic_en_out;
  output cfg_logic_clk_out;
  output config_invalid;

  clock_board_config
    #(
      .fpga_radio_clk_source ( 16'h1AFF ),
      .fpga_logic_clk_source ( 16'h1AFF ),
      .radio_clk_out4_mode ( 16'h01ff ),
      .radio_clk_out5_mode ( 16'h1eff ),
      .radio_clk_out6_mode ( 16'h1eff ),
      .radio_clk_out7_mode ( 16'h01ff ),
      .logic_clk_out0_mode ( 16'h02ff ),
      .logic_clk_out1_mode ( 16'h02ff ),
      .logic_clk_out2_mode ( 16'h08ff ),
      .logic_clk_out3_mode ( 16'h08ff ),
      .radio_clk_forward_out_mode ( 16'h0BFF ),
      .logic_clk_forward_out_mode ( 16'h1FFF ),
      .sys_clk_freq_hz ( 32'h05f5e100 ),
      .scp_min_freq_hz ( 32'h002625a0 ),
      .scp_cyc_leng_a ( 32'h00000028 ),
      .scp_cyc_leng_b ( 32'h00000028 ),
      .scp_cyc_leng ( 32'h00000028 )
    )
    clk_board_config (
      .sys_clk ( sys_clk ),
      .sys_rst ( sys_rst ),
      .cfg_radio_dat_out ( cfg_radio_dat_out ),
      .cfg_radio_csb_out ( cfg_radio_csb_out ),
      .cfg_radio_en_out ( cfg_radio_en_out ),
      .cfg_radio_clk_out ( cfg_radio_clk_out ),
      .cfg_logic_dat_out ( cfg_logic_dat_out ),
      .cfg_logic_csb_out ( cfg_logic_csb_out ),
      .cfg_logic_en_out ( cfg_logic_en_out ),
      .cfg_logic_clk_out ( cfg_logic_clk_out ),
      .config_invalid ( config_invalid )
    );

endmodule

// synthesis attribute x_core_info of clk_board_config_wrapper is clock_board_config_v1_04_a;

