-------------------------------------------------------------------------------
-- warplab_mimo_2x2_plbw_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library warplab_mimo_2x2_plbw_v1_02_d;
use warplab_mimo_2x2_plbw_v1_02_d.all;

entity warplab_mimo_2x2_plbw_0_wrapper is
  port (
    sysgen_clk : in std_logic;
    plb_abus : in std_logic_vector(0 to 31);
    plb_pavalid : in std_logic;
    plb_rnw : in std_logic;
    plb_wrdbus : in std_logic_vector(0 to 63);
    radio2_adc_i : in std_logic_vector(0 to 13);
    radio2_adc_i_otr : in std_logic;
    radio2_adc_q : in std_logic_vector(0 to 13);
    radio2_adc_q_otr : in std_logic;
    radio2_rssi : in std_logic_vector(0 to 9);
    radio3_adc_i : in std_logic_vector(0 to 13);
    radio3_adc_i_otr : in std_logic;
    radio3_adc_q : in std_logic_vector(0 to 13);
    radio3_adc_q_otr : in std_logic;
    radio3_rssi : in std_logic_vector(0 to 9);
    splb_rst : in std_logic;
    startcapture : in std_logic;
    starttx : in std_logic;
    stoptx : in std_logic;
    splb_clk : in std_logic;
    debug_capturing : out std_logic;
    debug_transmitting : out std_logic;
    radio2_dac_i : out std_logic_vector(0 to 15);
    radio2_dac_q : out std_logic_vector(0 to 15);
    radio3_dac_i : out std_logic_vector(0 to 15);
    radio3_dac_q : out std_logic_vector(0 to 15);
    rssi_adc_clk : out std_logic;
    sl_addrack : out std_logic;
    sl_rdcomp : out std_logic;
    sl_rddack : out std_logic;
    sl_rddbus : out std_logic_vector(0 to 63);
    sl_wait : out std_logic;
    sl_wrcomp : out std_logic;
    sl_wrdack : out std_logic
  );

  attribute x_core_info : STRING;
  attribute x_core_info of warplab_mimo_2x2_plbw_0_wrapper : entity is "warplab_mimo_2x2_plbw_v1_02_d";

end warplab_mimo_2x2_plbw_0_wrapper;

architecture STRUCTURE of warplab_mimo_2x2_plbw_0_wrapper is

  component warplab_mimo_2x2_plbw is
    generic (
      C_BASEADDR : std_logic_vector(0 to 31);
      C_HIGHADDR : std_logic_vector(0 to 31);
      C_SPLB_AWIDTH : INTEGER;
      C_SPLB_DWIDTH : INTEGER;
      C_SPLB_P2P : INTEGER;
      C_SPLB_MID_WIDTH : INTEGER;
      C_SPLB_NUM_MASTERS : INTEGER;
      C_SPLB_SUPPORT_BURSTS : INTEGER;
      C_SPLB_NATIVE_DWIDTH : INTEGER;
      C_MEMMAP_CAPTUREDONE : integer;
      C_MEMMAP_CAPTUREDONE_N_BITS : integer;
      C_MEMMAP_CAPTUREDONE_BIN_PT : integer;
      C_MEMMAP_DEBUGRX2BUFFERS : integer;
      C_MEMMAP_DEBUGRX2BUFFERS_N_BITS : integer;
      C_MEMMAP_DEBUGRX2BUFFERS_BIN_PT : integer;
      C_MEMMAP_DEBUGRX3BUFFERS : integer;
      C_MEMMAP_DEBUGRX3BUFFERS_N_BITS : integer;
      C_MEMMAP_DEBUGRX3BUFFERS_BIN_PT : integer;
      C_MEMMAP_RADIO2RXBUFF_RXEN : integer;
      C_MEMMAP_RADIO2RXBUFF_RXEN_N_BITS : integer;
      C_MEMMAP_RADIO2RXBUFF_RXEN_BIN_PT : integer;
      C_MEMMAP_RADIO2TXBUFF_TXEN : integer;
      C_MEMMAP_RADIO2TXBUFF_TXEN_N_BITS : integer;
      C_MEMMAP_RADIO2TXBUFF_TXEN_BIN_PT : integer;
      C_MEMMAP_RADIO3RXBUFF_RXEN : integer;
      C_MEMMAP_RADIO3RXBUFF_RXEN_N_BITS : integer;
      C_MEMMAP_RADIO3RXBUFF_RXEN_BIN_PT : integer;
      C_MEMMAP_RADIO3TXBUFF_TXEN : integer;
      C_MEMMAP_RADIO3TXBUFF_TXEN_N_BITS : integer;
      C_MEMMAP_RADIO3TXBUFF_TXEN_BIN_PT : integer;
      C_MEMMAP_STARTCAPTURE : integer;
      C_MEMMAP_STARTCAPTURE_N_BITS : integer;
      C_MEMMAP_STARTCAPTURE_BIN_PT : integer;
      C_MEMMAP_STARTTX : integer;
      C_MEMMAP_STARTTX_N_BITS : integer;
      C_MEMMAP_STARTTX_BIN_PT : integer;
      C_MEMMAP_STOPTX : integer;
      C_MEMMAP_STOPTX_N_BITS : integer;
      C_MEMMAP_STOPTX_BIN_PT : integer;
      C_MEMMAP_TRANSMODE : integer;
      C_MEMMAP_TRANSMODE_N_BITS : integer;
      C_MEMMAP_TRANSMODE_BIN_PT : integer;
      C_MEMMAP_TXDELAY : integer;
      C_MEMMAP_TXDELAY_N_BITS : integer;
      C_MEMMAP_TXDELAY_BIN_PT : integer;
      C_MEMMAP_TXLENGTH : integer;
      C_MEMMAP_TXLENGTH_N_BITS : integer;
      C_MEMMAP_TXLENGTH_BIN_PT : integer;
      C_MEMMAP_RSSIBUFF_RADIO2 : integer;
      C_MEMMAP_RSSIBUFF_RADIO2_N_BITS : integer;
      C_MEMMAP_RSSIBUFF_RADIO2_BIN_PT : integer;
      C_MEMMAP_RSSIBUFF_RADIO2_DEPTH : integer;
      C_MEMMAP_RSSIBUFF_RADIO3 : integer;
      C_MEMMAP_RSSIBUFF_RADIO3_N_BITS : integer;
      C_MEMMAP_RSSIBUFF_RADIO3_BIN_PT : integer;
      C_MEMMAP_RSSIBUFF_RADIO3_DEPTH : integer;
      C_MEMMAP_RXBUFF_RADIO2 : integer;
      C_MEMMAP_RXBUFF_RADIO2_N_BITS : integer;
      C_MEMMAP_RXBUFF_RADIO2_BIN_PT : integer;
      C_MEMMAP_RXBUFF_RADIO2_DEPTH : integer;
      C_MEMMAP_RXBUFF_RADIO3 : integer;
      C_MEMMAP_RXBUFF_RADIO3_N_BITS : integer;
      C_MEMMAP_RXBUFF_RADIO3_BIN_PT : integer;
      C_MEMMAP_RXBUFF_RADIO3_DEPTH : integer;
      C_MEMMAP_TXBUFF_RADIO2 : integer;
      C_MEMMAP_TXBUFF_RADIO2_N_BITS : integer;
      C_MEMMAP_TXBUFF_RADIO2_BIN_PT : integer;
      C_MEMMAP_TXBUFF_RADIO2_DEPTH : integer;
      C_MEMMAP_TXBUFF_RADIO3 : integer;
      C_MEMMAP_TXBUFF_RADIO3_N_BITS : integer;
      C_MEMMAP_TXBUFF_RADIO3_BIN_PT : integer;
      C_MEMMAP_TXBUFF_RADIO3_DEPTH : integer
    );
    port (
      sysgen_clk : in std_logic;
      plb_abus : in std_logic_vector(0 to (32-1));
      plb_pavalid : in std_logic;
      plb_rnw : in std_logic;
      plb_wrdbus : in std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      radio2_adc_i : in std_logic_vector(0 to (14-1));
      radio2_adc_i_otr : in std_logic;
      radio2_adc_q : in std_logic_vector(0 to (14-1));
      radio2_adc_q_otr : in std_logic;
      radio2_rssi : in std_logic_vector(0 to (10-1));
      radio3_adc_i : in std_logic_vector(0 to (14-1));
      radio3_adc_i_otr : in std_logic;
      radio3_adc_q : in std_logic_vector(0 to (14-1));
      radio3_adc_q_otr : in std_logic;
      radio3_rssi : in std_logic_vector(0 to (10-1));
      splb_rst : in std_logic;
      startcapture : in std_logic;
      starttx : in std_logic;
      stoptx : in std_logic;
      splb_clk : in std_logic;
      debug_capturing : out std_logic;
      debug_transmitting : out std_logic;
      radio2_dac_i : out std_logic_vector(0 to (16-1));
      radio2_dac_q : out std_logic_vector(0 to (16-1));
      radio3_dac_i : out std_logic_vector(0 to (16-1));
      radio3_dac_q : out std_logic_vector(0 to (16-1));
      rssi_adc_clk : out std_logic;
      sl_addrack : out std_logic;
      sl_rdcomp : out std_logic;
      sl_rddack : out std_logic;
      sl_rddbus : out std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      sl_wait : out std_logic;
      sl_wrcomp : out std_logic;
      sl_wrdack : out std_logic
    );
  end component;

begin

  warplab_mimo_2x2_plbw_0 : warplab_mimo_2x2_plbw
    generic map (
      C_BASEADDR => X"84200000",
      C_HIGHADDR => X"843fffff",
      C_SPLB_AWIDTH => 32,
      C_SPLB_DWIDTH => 64,
      C_SPLB_P2P => 0,
      C_SPLB_MID_WIDTH => 1,
      C_SPLB_NUM_MASTERS => 2,
      C_SPLB_SUPPORT_BURSTS => 0,
      C_SPLB_NATIVE_DWIDTH => 32,
      C_MEMMAP_CAPTUREDONE => 16#100030#,
      C_MEMMAP_CAPTUREDONE_N_BITS => 1,
      C_MEMMAP_CAPTUREDONE_BIN_PT => 0,
      C_MEMMAP_DEBUGRX2BUFFERS => 16#100000#,
      C_MEMMAP_DEBUGRX2BUFFERS_N_BITS => 1,
      C_MEMMAP_DEBUGRX2BUFFERS_BIN_PT => 0,
      C_MEMMAP_DEBUGRX3BUFFERS => 16#100004#,
      C_MEMMAP_DEBUGRX3BUFFERS_N_BITS => 1,
      C_MEMMAP_DEBUGRX3BUFFERS_BIN_PT => 0,
      C_MEMMAP_RADIO2RXBUFF_RXEN => 16#100008#,
      C_MEMMAP_RADIO2RXBUFF_RXEN_N_BITS => 1,
      C_MEMMAP_RADIO2RXBUFF_RXEN_BIN_PT => 0,
      C_MEMMAP_RADIO2TXBUFF_TXEN => 16#10000C#,
      C_MEMMAP_RADIO2TXBUFF_TXEN_N_BITS => 1,
      C_MEMMAP_RADIO2TXBUFF_TXEN_BIN_PT => 0,
      C_MEMMAP_RADIO3RXBUFF_RXEN => 16#100010#,
      C_MEMMAP_RADIO3RXBUFF_RXEN_N_BITS => 1,
      C_MEMMAP_RADIO3RXBUFF_RXEN_BIN_PT => 0,
      C_MEMMAP_RADIO3TXBUFF_TXEN => 16#100014#,
      C_MEMMAP_RADIO3TXBUFF_TXEN_N_BITS => 1,
      C_MEMMAP_RADIO3TXBUFF_TXEN_BIN_PT => 0,
      C_MEMMAP_STARTCAPTURE => 16#100018#,
      C_MEMMAP_STARTCAPTURE_N_BITS => 1,
      C_MEMMAP_STARTCAPTURE_BIN_PT => 0,
      C_MEMMAP_STARTTX => 16#10001C#,
      C_MEMMAP_STARTTX_N_BITS => 1,
      C_MEMMAP_STARTTX_BIN_PT => 0,
      C_MEMMAP_STOPTX => 16#100020#,
      C_MEMMAP_STOPTX_N_BITS => 1,
      C_MEMMAP_STOPTX_BIN_PT => 0,
      C_MEMMAP_TRANSMODE => 16#100024#,
      C_MEMMAP_TRANSMODE_N_BITS => 1,
      C_MEMMAP_TRANSMODE_BIN_PT => 0,
      C_MEMMAP_TXDELAY => 16#100028#,
      C_MEMMAP_TXDELAY_N_BITS => 14,
      C_MEMMAP_TXDELAY_BIN_PT => 0,
      C_MEMMAP_TXLENGTH => 16#10002C#,
      C_MEMMAP_TXLENGTH_N_BITS => 14,
      C_MEMMAP_TXLENGTH_BIN_PT => 0,
      C_MEMMAP_RSSIBUFF_RADIO2 => 16#040000#,
      C_MEMMAP_RSSIBUFF_RADIO2_N_BITS => 32,
      C_MEMMAP_RSSIBUFF_RADIO2_BIN_PT => 0,
      C_MEMMAP_RSSIBUFF_RADIO2_DEPTH => 2048,
      C_MEMMAP_RSSIBUFF_RADIO3 => 16#042000#,
      C_MEMMAP_RSSIBUFF_RADIO3_N_BITS => 32,
      C_MEMMAP_RSSIBUFF_RADIO3_BIN_PT => 0,
      C_MEMMAP_RSSIBUFF_RADIO3_DEPTH => 2048,
      C_MEMMAP_RXBUFF_RADIO2 => 16#000000#,
      C_MEMMAP_RXBUFF_RADIO2_N_BITS => 32,
      C_MEMMAP_RXBUFF_RADIO2_BIN_PT => 0,
      C_MEMMAP_RXBUFF_RADIO2_DEPTH => 16384,
      C_MEMMAP_RXBUFF_RADIO3 => 16#010000#,
      C_MEMMAP_RXBUFF_RADIO3_N_BITS => 32,
      C_MEMMAP_RXBUFF_RADIO3_BIN_PT => 0,
      C_MEMMAP_RXBUFF_RADIO3_DEPTH => 16384,
      C_MEMMAP_TXBUFF_RADIO2 => 16#020000#,
      C_MEMMAP_TXBUFF_RADIO2_N_BITS => 32,
      C_MEMMAP_TXBUFF_RADIO2_BIN_PT => 0,
      C_MEMMAP_TXBUFF_RADIO2_DEPTH => 16384,
      C_MEMMAP_TXBUFF_RADIO3 => 16#030000#,
      C_MEMMAP_TXBUFF_RADIO3_N_BITS => 32,
      C_MEMMAP_TXBUFF_RADIO3_BIN_PT => 0,
      C_MEMMAP_TXBUFF_RADIO3_DEPTH => 16384
    )
    port map (
      sysgen_clk => sysgen_clk,
      plb_abus => plb_abus,
      plb_pavalid => plb_pavalid,
      plb_rnw => plb_rnw,
      plb_wrdbus => plb_wrdbus,
      radio2_adc_i => radio2_adc_i,
      radio2_adc_i_otr => radio2_adc_i_otr,
      radio2_adc_q => radio2_adc_q,
      radio2_adc_q_otr => radio2_adc_q_otr,
      radio2_rssi => radio2_rssi,
      radio3_adc_i => radio3_adc_i,
      radio3_adc_i_otr => radio3_adc_i_otr,
      radio3_adc_q => radio3_adc_q,
      radio3_adc_q_otr => radio3_adc_q_otr,
      radio3_rssi => radio3_rssi,
      splb_rst => splb_rst,
      startcapture => startcapture,
      starttx => starttx,
      stoptx => stoptx,
      splb_clk => splb_clk,
      debug_capturing => debug_capturing,
      debug_transmitting => debug_transmitting,
      radio2_dac_i => radio2_dac_i,
      radio2_dac_q => radio2_dac_q,
      radio3_dac_i => radio3_dac_i,
      radio3_dac_q => radio3_dac_q,
      rssi_adc_clk => rssi_adc_clk,
      sl_addrack => sl_addrack,
      sl_rdcomp => sl_rdcomp,
      sl_rddack => sl_rddack,
      sl_rddbus => sl_rddbus,
      sl_wait => sl_wait,
      sl_wrcomp => sl_wrcomp,
      sl_wrdack => sl_wrdack
    );

end architecture STRUCTURE;

